Job Target Groups - Get

ターゲット グループを取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/jobAgents/{jobAgentName}/targetGroups/{targetGroupName}?api-version=2025-01-01

URI パラメーター

Name / 必須 型 説明
jobAgentName
path True

string

取得するジョブ エージェントの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

targetGroupName
path True

string

ターゲット グループの名前。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

Name 型 説明
200 OK

JobTargetGroup

Azureの運用は無事に完了しました。

Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

Name 説明
user_impersonation ユーザー アカウントを偽装する

例

Get a target group.

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/targetGroups/targetGroup1?api-version=2025-01-01

応答のサンプル

{
  "name": "targetGroup1",
  "type": "Microsoft.Sql/servers/jobAgents/targetGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/targetGroups/targetGroup1",
  "properties": {
    "members": [
      {
        "type": "SqlDatabase",
        "databaseName": "database1",
        "membershipType": "Exclude",
        "serverName": "server1"
      },
      {
        "type": "SqlServer",
        "membershipType": "Include",
        "refreshCredential": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/credentials/testCredential",
        "serverName": "server1"
      },
      {
        "type": "SqlElasticPool",
        "elasticPoolName": "pool1",
        "membershipType": "Include",
        "refreshCredential": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/credentials/testCredential",
        "serverName": "server2"
      },
      {
        "type": "SqlShardMap",
        "membershipType": "Include",
        "refreshCredential": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/credentials/testCredential",
        "serverName": "server3",
        "shardMapName": "shardMap1"
      }
    ]
  }
}

定義

Name 説明
createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

JobTarget

ジョブの実行中に評価される特定のデータベースやデータベースのコンテナーなどのジョブ ターゲット。

JobTargetGroup

ジョブ ターゲットのグループ。

JobTargetGroupMembershipType

ターゲットがグループに含まれるか、グループから除外されるか。

JobTargetType

対象の型です。

systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

値 説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

Name 型 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

Name 型 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

Name 型 説明
error

ErrorDetail

エラー オブジェクト。

JobTarget

ジョブの実行中に評価される特定のデータベースやデータベースのコンテナーなどのジョブ ターゲット。

Name 型 規定値 説明
databaseName

string

ターゲット データベース名。

elasticPoolName

string

ターゲットのエラスティック プール名。

membershipType

JobTargetGroupMembershipType

Include

ターゲットがグループに含まれるか、グループから除外されるか。

refreshCredential

string

ターゲットに接続し、ターゲット内のデータベースの一覧を決定するためにジョブの実行中に使用される資格情報のリソース ID。

serverName

string

ターゲット サーバー名。

shardMapName

string

ターゲット シャード マップ。

type

JobTargetType

対象の型。

JobTargetGroup

ジョブ ターゲットのグループ。

Name 型 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.members

JobTarget[]

ターゲット グループのメンバー。

systemData

systemData

create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」

JobTargetGroupMembershipType

ターゲットがグループに含まれるか、グループから除外されるか。

値 説明
Include

包含

Exclude

Exclude (除外)

JobTargetType

対象の型です。

値 説明
TargetGroup

ターゲットグループ

SqlDatabase

SqlDatabase

SqlElasticPool

SqlElasticPool

SqlShardMap

SqlShardMap

SqlServer

SqlServer

systemData

リソースの作成と最後の変更に関連するメタデータ。

Name 型 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。